What phones are compatible with Wizards Unite?

Wizards Unite is an AR based game which requires a pretty powerful phone to get the most out of the game. A gyroscope is definitely needed as it’s used with the Portkey feature and we know that iOS 11 and Android 5.0 is a minimum requirement but which phones are compatible with Wizards Unite? We’ve … Continue reading What phones are compatible with Wizards Unite?